ScXMLMinimumExprDataObj(3)

NAME
ScXMLMinimumExprDataObj - implements the data objects for the evaluator for the minimum profile.

SYNOPSIS

#include <Inventor/scxml/ScXMLMinimumEvaluator.h>

Inherits ScXMLExprDataObj.

Inherited by ScXMLInExprDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the data objects for the evaluator for the minimum profile.

Member Function Documentation

  virtual SoType ScXMLMinimumExprDataObj::getTypeId (void) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLExprDataObj.

Implemented in ScXMLInExprDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.